﻿/*COMMON CSS CLASSES FOR WAIVERFILE PUBLIC FACING PAGES*/   
/*WFDATEPICKER */
.wfdatepicker, .has-feedback .form-control.wfdatepicker {
    padding: 0 25px 0 0;
    position: relative;
}

    .wfdatepicker input, .wfdatepicker select, .wfdatepicker input[type=number] {
        display: block;
        width: 100%;
        height: 100%; 
        min-height: 32px;
        padding: 0.375rem 0.5rem; 
        line-height: 1.5; 
        color: #212529; 
        background-color: transparent;
        background-image: none;
        border: 0 none;
        border-radius: 0;
        box-shadow: none;
    }

    .wfdatepicker [class*='col-'] {
        border-right: 1px solid #ccc;
        border-radius: 0;
        padding-left: 0; 
        padding-right: 0;
    }

        .wfdatepicker [class*='col-'].lastone {
            border-right: 0 none;
        }

.no-gutter {
    margin-left: 0;
    margin-right: 0;
}

    .no-gutter .form-control-feedback {
        right: 0;
    }

    .wfdatepicker.g-0 > [class*='col-'],
    .no-gutter [class*='col-'] {
        padding-right: 0;
        padding-left: 0;
    }

        .no-gutter [class*='col-']:not(:first-child) input,
        .wfdatepicker.g-0 [class*='col-']:not(:first-child) input {
            border-left: none;
            border-top-left-radius: 0;
            border-bottom-left-radius: 0;
        }

        .no-gutter [class*='col-']:not(:last-child) input,
        .wfdatepicker.g-0 [class*='col-']:not(:last-child) input {
            border-top-right-radius: 0;
            border-bottom-right-radius: 0;
        }

.wfdatepicker select.form-select {
    background-image: none;
    border: 0 none;
    box-shadow: none;
    padding: 6px 4px;
    height: 32px;
    border-radius: 0;
}

.wfdatepicker input.form-control {
    border: 0 none;
    box-shadow: none;
    border-radius: 0;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.wfdatepicker input[type=number] {
    -moz-appearance: textfield;
}
.wfdatepicker-bs5 {
    border: 1px solid #dee2e6;
    border-radius: 0.375rem;
    padding: 0;
    overflow: hidden;
    height: calc(1.5em + 0.75rem + 2px); /* use height instead of min-height */
    display: flex;
    align-items: stretch;
}
    .wfdatepicker-bs5:focus-within {
        border-color: #86b7fe;
        box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
    }
/*END WFDATEPICKER */
